Subject: Re: [PATCH 2/3] Quoting paths in tests

From: Johannes Sixt <[email-masked]>
Date: Mon, 15 Oct 2007 16:17:45 +0200

Jonathan del Strother schrieb:
> On 15 Oct 2007, at 14:47, Johannes Sixt wrote:
>> I don't see the point in changing an incorrect quoting to a different 
>> incorrect quoting that you fix up in a follow-up patch. It's *two* 
>> large patches to review instead of just one. I'm stopping the review 
>> here.
> 
> If we want to support apostrophed paths in tests,

I could ask, "if we want to support paths with blanks in tests", so...

> I'll flatten 2 & 3 
> into a single patch.  I thought I'd make the apostrophe part optional 
> since there seemed to be some resistance to having to bother about 
> quoting & escaping in tests..

You could also make a patch that reverses the quoting in t9100-* (and 
probably others), i.e. instead of

	"... '$foo'..." (which is incorrect)
or
	"... \"$foo\"..."
make it
	'... "$foo" ...'

It will be a large patch, too, but the result should be easier to read.

-- Hannes